Bug 97013 - REQ: Obsolete european 7-bit non-latin keymaps
Summary: REQ: Obsolete european 7-bit non-latin keymaps
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-08 19:49 UTC by Mikko Paananen
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version: 1.08-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-25 16:50:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mikko Paananen 2003-06-08 19:49:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030601
Mozilla Firebird/0.6

Description of problem:
Installation and System settings->keyboard offer various options for keymaps
even on same language, least finnish, swedish, german, norwegian and danish have
latin1 and non-latin options. These non-latin 7-bit encodings are obsolete,
using version of ASCII where several symbols (ie: @$~{|}\) are replaced with
accented letters needed to write these languages. (aka. national ISO-646 7-bit
codes.)

There are no consolefonts for these encodings neither they are compatible with
anything so using these is pointless and only creates confusion among (novice)
users.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select Finnish keymap on installation program
2. Alternative: System settings->keyboard select Finnish


Actual Results:  Linux console prints { for key �, | for � and } �.


Expected Results:  "Finnish" keymap should use latin9 (ISO-8859) encoding.


Additional info:

Workaround is to choose "Finnish (Latin1)".
Suggested fix: move fi.map -> fi-old.map, fi-latin9.map -> fi.map.
Provide compatibility for fi-latin9 -> fi.map

Repeat for other north- and west european languages.

Comment 1 Eido Inoue 2003-07-25 16:50:30 UTC
changed made for fi and those with obvious latin9 equivalents in the i386 directory.


Note You need to log in before you can comment on or make changes to this bug.